%define upstream_name    Template-Plugin-VMethods
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Install vmethods
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Template)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
Simple base class to allow your module to install and remove virtual
methods into the Template Toolkit.

All you need to do in your package is declare one or more of the variables
@LIST_OPS, @SCALAR_OPS or @HASH_OPS to indicate what virtual methods you
want to export.

These can either be the names of functions in your package, or
name/subroutine reference pairs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.30.0-7.mga10
+ Revision: 2200769
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.30.0-6.mga9
+ Revision: 1805985
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-5.mga8
+ Revision: 1497292
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.30.0-4.mga7
+ Revision: 1271617
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-3.mga6
+ Revision: 1033907
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.30.0-2.mga6
+ Revision: 951351
- Mageia 6 Mass Rebuild

* Wed Dec 24 2014 buchan <buchan> 0.30.0-1.mga5
+ Revision: 805354
- imported package perl-Template-Plugin-VMethods


* Wed Dec 24 2014 Buchan Milne <buchan> 0.03-1mga
- initial mageia release, generated with cpan2dist
